package betterquesting.api2.client.gui.themes;

import betterquesting.api2.client.gui.resources.colors.IGuiColor;
import betterquesting.api2.client.gui.resources.lines.IGuiLine;
import betterquesting.api2.client.gui.resources.textures.IGuiTexture;
import java.util.function.Function;
import javax.annotation.Nullable;
import net.minecraft.client.gui.GuiScreen;
import net.minecraft.util.ResourceLocation;

/* loaded from: betterquesting_api2_client_gui_themes.jar:betterquesting/api2/client/gui/themes/IGuiTheme.class */
public interface IGuiTheme {
    String getName();

    ResourceLocation getID();

    @Nullable
    IGuiTexture getTexture(ResourceLocation resourceLocation);

    @Nullable
    IGuiLine getLine(ResourceLocation resourceLocation);

    @Nullable
    IGuiColor getColor(ResourceLocation resourceLocation);

    @Nullable
    <T> Function<T, GuiScreen> getGui(GuiKey<T> guiKey);
}
